Index: sys/sys/cdefs.h
===================================================================
RCS file: /cvsroot/src/sys/sys/cdefs.h,v
retrieving revision 1.78
diff -u -r1.78 cdefs.h
--- sys/sys/cdefs.h	2 Oct 2009 21:05:28 -0000	1.78
+++ sys/sys/cdefs.h	25 May 2010 13:43:04 -0000
@@ -240,6 +240,10 @@
 #define	__packed	_Pragma("packed 1")
 #define	__aligned(x)   	_Pragma("aligned " __STRING(x))
 #define	__section(x)   	_Pragma("section " ## x)
+#elif defined(_MSC_VER)
+#define	__packed	/* XXX ignore for now */
+#define	__aligned(x)	/* XXX ignore for now */
+#define	__section(x)	/* XXX ignore for now */
 #else
 #define	__packed	error: no __packed for this compiler
 #define	__aligned(x)	error: no __aligned for this compiler
